Bug 259328 - Rekonq crashes when trying to save a bookmark
Summary: Rekonq crashes when trying to save a bookmark
Status: RESOLVED FIXED
Alias: None
Product: rekonq
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: VHI crash (vote)
Target Milestone: 0.7
Assignee: Andrea Diamantini
URL:
Keywords:
: 255103 260808 261756 262717 263767 265244 266069 266296 267030 297802 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-12-09 15:00 UTC by stardragon88
Modified: 2012-04-11 23:49 UTC (History)
16 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (11.19 KB, text/plain)
2011-01-21 11:31 UTC, j.artu
Details
New crash information added by DrKonqi (17.00 KB, text/plain)
2011-01-22 13:42 UTC, Philipp A.
Details
New crash information added by DrKonqi (13.78 KB, text/plain)
2011-02-13 09:43 UTC, Pétur Runólfsson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description stardragon88 2010-12-09 15:00:18 UTC
Application: rekonq (0.6.55)
KDE Platform Version: 4.5.85 (4.6 Beta2)
Qt Version: 4.7.1
Operating System: Linux 2.6.34.7-0.5-desktop i686
Distribution: "openSUSE 11.3 (i586)"

-- Information about the crash:
Rekonq crashes when I try to save a bookmark. It happens only if I edit the bookmark name and then save it, right at the moment I hit "Add".

Tried it again two times, got one more crash.

Konqueror seems to be fine.

The crash can be reproduced some of the time.

-- Backtrace:
Application: rekonq (kdeinit4), signal: Segmentation fault
[Current thread is 1 (Thread 0xb5952710 (LWP 16484))]

Thread 15 (Thread 0xaec4eb70 (LWP 16485)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb6d90125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb45ff987 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /usr/lib/libQtWebKit.so.4
#3  0xb6d8bb25 in start_thread () from /lib/libpthread.so.0
#4  0xb613b46e in clone () from /lib/libc.so.6

Thread 14 (Thread 0xadf29b70 (LWP 16486)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb6d90125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6e07aa0 in wait (this=0x813c120, mutex=0x818bab8, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#3  QWaitCondition::wait (this=0x813c120, mutex=0x818bab8, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#4  0xb3175056 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x813c108, th=0x82a44a0) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0xb31787a7 in waitForAvailableJob (this=0x813c4c8, th=0x82a44a0) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/WeaverImpl.cpp:356
#6  ThreadWeaver::WorkingHardState::applyForWork (this=0x813c4c8, th=0x82a44a0) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/WorkingHardState.cpp:71
#7  0xb3174a03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x813c108, th=0x82a44a0, previous=0x0) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/WeaverImpl.cpp:351
#8  0xb31787c3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x813c4c8, th=0x82a44a0) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/WorkingHardState.cpp:74
#9  0xb3174a03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x813c108, th=0x82a44a0, previous=0x86a7538) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb3175564 in ThreadWeaver::ThreadRunHelper::run (this=0xadf29314, parent=0x813c108, th=0x82a44a0) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/Thread.cpp:87
#11 0xb317561a in ThreadWeaver::Thread::run (this=0x82a44a0) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/Thread.cpp:142
#12 0xb6e0739a in QThreadPrivate::start (arg=0x82a44a0) at thread/qthread_unix.cpp:285
#13 0xb6d8bb25 in start_thread () from /lib/libpthread.so.0
#14 0xb613b46e in clone () from /lib/libc.so.6

Thread 13 (Thread 0xa4972b70 (LWP 16535)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb6d90125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6e07aa0 in wait (this=0x813c120, mutex=0x818bab8, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#3  QWaitCondition::wait (this=0x813c120, mutex=0x818bab8, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#4  0xb3175056 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x813c108, th=0x85e0370) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0xb31787a7 in waitForAvailableJob (this=0x813c4c8, th=0x85e0370) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/WeaverImpl.cpp:356
#6  ThreadWeaver::WorkingHardState::applyForWork (this=0x813c4c8, th=0x85e0370) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/WorkingHardState.cpp:71
#7  0xb3174a03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x813c108, th=0x85e0370, previous=0xa24c7d0) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/WeaverImpl.cpp:351
#8  0xb3175564 in ThreadWeaver::ThreadRunHelper::run (this=0xa4972314, parent=0x813c108, th=0x85e0370) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/Thread.cpp:87
#9  0xb317561a in ThreadWeaver::Thread::run (this=0x85e0370) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/Thread.cpp:142
#10 0xb6e0739a in QThreadPrivate::start (arg=0x85e0370) at thread/qthread_unix.cpp:285
#11 0xb6d8bb25 in start_thread () from /lib/libpthread.so.0
#12 0xb613b46e in clone () from /lib/libc.so.6

Thread 12 (Thread 0xa4171b70 (LWP 16536)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb6d90125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6e07aa0 in wait (this=0x813c120, mutex=0x818bab8, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#3  QWaitCondition::wait (this=0x813c120, mutex=0x818bab8, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#4  0xb3175056 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x813c108, th=0x83ce220) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0xb31787a7 in waitForAvailableJob (this=0x813c4c8, th=0x83ce220) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/WeaverImpl.cpp:356
#6  ThreadWeaver::WorkingHardState::applyForWork (this=0x813c4c8, th=0x83ce220) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/WorkingHardState.cpp:71
#7  0xb3174a03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x813c108, th=0x83ce220, previous=0x0) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/WeaverImpl.cpp:351
#8  0xb31787c3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x813c4c8, th=0x83ce220) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/WorkingHardState.cpp:74
#9  0xb3174a03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x813c108, th=0x83ce220, previous=0x0) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb31787c3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x813c4c8, th=0x83ce220) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb3174a03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x813c108, th=0x83ce220, previous=0x85edfb0) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb3175564 in ThreadWeaver::ThreadRunHelper::run (this=0xa4171314, parent=0x813c108, th=0x83ce220) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/Thread.cpp:87
#13 0xb317561a in ThreadWeaver::Thread::run (this=0x83ce220) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/Thread.cpp:142
#14 0xb6e0739a in QThreadPrivate::start (arg=0x83ce220) at thread/qthread_unix.cpp:285
#15 0xb6d8bb25 in start_thread () from /lib/libpthread.so.0
#16 0xb613b46e in clone () from /lib/libc.so.6

Thread 11 (Thread 0xa3970b70 (LWP 16537)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb6d90125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6e07aa0 in wait (this=0x813c120, mutex=0x818bab8, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#3  QWaitCondition::wait (this=0x813c120, mutex=0x818bab8, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#4  0xb3175056 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x813c108, th=0x85b3ba8) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0xb31787a7 in waitForAvailableJob (this=0x813c4c8, th=0x85b3ba8) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/WeaverImpl.cpp:356
#6  ThreadWeaver::WorkingHardState::applyForWork (this=0x813c4c8, th=0x85b3ba8) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/WorkingHardState.cpp:71
#7  0xb3174a03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x813c108, th=0x85b3ba8, previous=0x0) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/WeaverImpl.cpp:351
#8  0xb31787c3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x813c4c8, th=0x85b3ba8) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/WorkingHardState.cpp:74
#9  0xb3174a03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x813c108, th=0x85b3ba8, previous=0x0) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb31787c3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x813c4c8, th=0x85b3ba8) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb3174a03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x813c108, th=0x85b3ba8, previous=0x8630be0) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb3175564 in ThreadWeaver::ThreadRunHelper::run (this=0xa3970314, parent=0x813c108, th=0x85b3ba8) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/Thread.cpp:87
#13 0xb317561a in ThreadWeaver::Thread::run (this=0x85b3ba8) at /usr/src/debug/kdelibs-4.5.85/threadweaver/Weaver/Thread.cpp:142
#14 0xb6e0739a in QThreadPrivate::start (arg=0x85b3ba8) at thread/qthread_unix.cpp:285
#15 0xb6d8bb25 in start_thread () from /lib/libpthread.so.0
#16 0xb613b46e in clone () from /lib/libc.so.6

Thread 10 (Thread 0xa18f3b70 (LWP 16549)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb6d90125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xacc03b2a in queue_processor(void*) () from /usr/lib/jvm/java-1.6.0-openjdk-1.6.0/jre/lib/i386/IcedTeaPlugin.so
#3  0xb6d8bb25 in start_thread () from /lib/libpthread.so.0
#4  0xb613b46e in clone () from /lib/libc.so.6

Thread 9 (Thread 0xa10f2b70 (LWP 16550)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb6d90125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xacc03b2a in queue_processor(void*) () from /usr/lib/jvm/java-1.6.0-openjdk-1.6.0/jre/lib/i386/IcedTeaPlugin.so
#3  0xb6d8bb25 in start_thread () from /lib/libpthread.so.0
#4  0xb613b46e in clone () from /lib/libc.so.6

Thread 8 (Thread 0xa08f1b70 (LWP 16551)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb6d90125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xacc03b2a in queue_processor(void*) () from /usr/lib/jvm/java-1.6.0-openjdk-1.6.0/jre/lib/i386/IcedTeaPlugin.so
#3  0xb6d8bb25 in start_thread () from /lib/libpthread.so.0
#4  0xb613b46e in clone () from /lib/libc.so.6

Thread 7 (Thread 0xa5373b70 (LWP 16759)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb6d90125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x9f5028c7 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#3  0x9f606ab5 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#4  0x9f5032c4 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#5  0xb6d8bb25 in start_thread () from /lib/libpthread.so.0
#6  0xb613b46e in clone () from /lib/libc.so.6

Thread 6 (Thread 0x9f15cb70 (LWP 16760)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb6d90125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x9f5028c7 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#3  0x9f606ab5 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#4  0x9f5032c4 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#5  0xb6d8bb25 in start_thread () from /lib/libpthread.so.0
#6  0xb613b46e in clone () from /lib/libc.so.6

Thread 5 (Thread 0x9e95bb70 (LWP 16765)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb6d90452 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x9f502899 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#3  0x9f524c13 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#4  0x9f5032c4 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#5  0xb6d8bb25 in start_thread () from /lib/libpthread.so.0
#6  0xb613b46e in clone () from /lib/libc.so.6

Thread 4 (Thread 0x9df5ab70 (LWP 16766)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb6d90452 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x9f502899 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#3  0x9f524c13 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#4  0x9f5032c4 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#5  0xb6d8bb25 in start_thread () from /lib/libpthread.so.0
#6  0xb613b46e in clone () from /lib/libc.so.6

Thread 3 (Thread 0x9d559b70 (LWP 16767)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb6d90452 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x9f502899 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#3  0x9f524c13 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#4  0x9f5032c4 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#5  0xb6d8bb25 in start_thread () from /lib/libpthread.so.0
#6  0xb613b46e in clone () from /lib/libc.so.6

Thread 2 (Thread 0xa6b76b70 (LWP 16805)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb6d90452 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x9f502899 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#3  0x9f524c13 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#4  0x9f5032c4 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#5  0xb6d8bb25 in start_thread () from /lib/libpthread.so.0
#6  0xb613b46e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb5952710 (LWP 16484)):
[KCrash Handler]
#7  0xb6f0ce96 in QMetaObject::cast (this=0xb1099828, obj=0xb6288230) at kernel/qmetaobject.cpp:266
#8  0xb102450d in qobject_cast<WebPage*> (this=0xb6d68510) at /usr/include/QtCore/qobject.h:366
#9  WebView::page (this=0xb6d68510) at /usr/src/debug/rekonq/src/webview.cpp:132
#10 0xb1027cc1 in page (this=0x9c22970) at /usr/src/debug/rekonq/src/webtab.h:61
#11 WebTab::url (this=0x9c22970) at /usr/src/debug/rekonq/src/webtab.cpp:93
#12 0xb1053b0c in UrlBar::loadFinished (this=0x8759720) at /usr/src/debug/rekonq/src/urlbar/urlbar.cpp:300
#13 0xb10540f9 in UrlBar::onBookmarksChanged (this=0x8759720) at /usr/src/debug/rekonq/src/urlbar/urlbar.cpp:368
#14 0xb10541b4 in UrlBar::qt_metacall (this=0x8759720, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbff83bf4) at /usr/src/debug/rekonq/build/src/urlbar.moc:163
#15 0xb6f0ce5d in QMetaObject::metacall (object=0x8759720, cl=QMetaObject::InvokeMetaMethod, idx=85, argv=0xbff83bf4) at kernel/qmetaobject.cpp:237
#16 0xb6f1cffc in QMetaObject::activate (sender=0x81e0658, m=0xb57ea6bc, local_signal_index=3, argv=0xbff83bf4) at kernel/qobject.cpp:3272
#17 0xb5627d0d in KBookmarkManager::changed (this=0x81e0658, _t1=..., _t2=...) at /usr/src/debug/kdelibs-4.5.85/build/kio/kbookmarkmanager.moc:136
#18 0xb5627e32 in KBookmarkManager::notifyChanged (this=0x81e0658, groupAddress=..., msg=...) at /usr/src/debug/kdelibs-4.5.85/kio/bookmarks/kbookmarkmanager.cc:583
#19 0xb5651472 in KBookmarkManager::qt_metacall (this=0x81e0658, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbff83dbc)
    at /usr/src/debug/kdelibs-4.5.85/build/kio/kbookmarkmanager.moc:102
#20 0xb5d3ee17 in QDBusConnectionPrivate::deliverCall (this=0x80e0420, object=0x81e0658, msg=..., metaTypes=..., slotIdx=-1994593149) at qdbusintegrator.cpp:919
#21 0xb5d4b8d6 in QDBusCallDeliveryEvent::placeMetaCall (this=0xa2fbc78, object=0x81e0658) at qdbusintegrator_p.h:103
#22 0xb6f1bb7f in QObject::event (this=0x81e0658, e=0xa2fbc78) at kernel/qobject.cpp:1211
#23 0xb6402414 in QApplicationPrivate::notify_helper (this=0x80e6eb8, receiver=0x81e0658, e=0xa2fbc78) at kernel/qapplication.cpp:4445
#24 0xb640b137 in QApplication::notify (this=0xbff84634, receiver=0x81e0658, e=0xa2fbc78) at kernel/qapplication.cpp:3845
#25 0xb75727e1 in KApplication::notify (this=0xbff84634, receiver=0x81e0658, event=0xa2fbc78) at /usr/src/debug/kdelibs-4.5.85/kdeui/kernel/kapplication.cpp:311
#26 0xb6f065be in QCoreApplication::notifyInternal (this=0xbff84634, receiver=0x81e0658, event=0xa2fbc78) at kernel/qcoreapplication.cpp:732
#27 0xb6f0a34c in sendEvent (receiver=0x0, event_type=0, data=0x80582b0) at kernel/qcoreapplication.h:215
#28 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x80582b0) at kernel/qcoreapplication.cpp:1373
#29 0xb6f0a49c in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1266
#30 0xb6f34bd4 in sendPostedEvents (s=0x80e9188) at kernel/qcoreapplication.h:220
#31 postEventSourceDispatch (s=0x80e9188) at kernel/qeventdispatcher_glib.cpp:277
#32 0xb5ba5b49 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#33 0xb5ba6350 in ?? () from /usr/lib/libglib-2.0.so.0
#34 0xb5ba660e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#35 0xb6f34d5b in QEventDispatcherGlib::processEvents (this=0x80e6cd0, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#36 0xb64b89aa in QGuiEventDispatcherGlib::processEvents (this=0x80e6cd0, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#37 0xb6f0589d in QEventLoop::processEvents (this=0xbff84584, flags=...) at kernel/qeventloop.cpp:149
#38 0xb6f05ac9 in QEventLoop::exec (this=0xbff84584, flags=...) at kernel/qeventloop.cpp:201
#39 0xb6f0a570 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#40 0xb6400114 in QApplication::exec () at kernel/qapplication.cpp:3719
#41 0xb1074d9a in kdemain (argc=1, argv=0x80c1438) at /usr/src/debug/rekonq/src/main.cpp:200
#42 0x0804e521 in _start ()

Reported using DrKonqi
Comment 1 Yoann Laissus 2010-12-09 21:32:30 UTC
I can't be able to reproduce that with the latest git (on KDE 4.6 beta2 too)

I need more informations about, for instance :
How many tabs (and windows) opened ? On a web page or on the new tab page ? Bookmark added/edited with the star in the urlbar or with the bar or the panel ?
Edition during a page loading ? a page with flash (flashplugin in the backtrace) ?
Comment 2 Panagiotis Papadopoulos 2010-12-09 22:18:39 UTC
confirmed here with rekonq from git and KDE 4.6 Beta 2…

Yoann:
I’ll try answering your questions tomorrow :-)
Comment 3 stardragon88 2010-12-10 12:22:51 UTC
On Thursday 09 December 2010 21:32:31 Yoann Laissus wrote:
> https://bugs.kde.org/show_bug.cgi?id=259328
> 
> 
> Yoann Laissus <yoann.laissus@gmail.com> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
> CC|                            |yoann.laissus@gmail.com
> 
> 
> 
> 
> --- Comment #1 from Yoann Laissus <yoann laissus gmail com>  2010-12-09
> 21:32:30 --- I can't be able to reproduce that with the latest git (on KDE
> 4.6 beta2 too)
> 
> I need more informations about, for instance :
> How many tabs (and windows) opened ? On a web page or on the new tab page ?
> Bookmark added/edited with the star in the urlbar or with the bar or the
> panel ?
> Edition during a page loading ? a page with flash (flashplugin in the
> backtrace) ?

Hello!

There was about 5 or 6 tabs open, no other browser windows (there was 
Akregator on another desktop, it's always open). Bookmarks were added through 
hotkeys Ctrl+B, so I guess it's the same as the panel. The page was loaded. I 
was bookmarking pages from this forum: 
http://diablo.incgamers.com/forums/forumdisplay.php?f=11 (for example, this 
page caused the first crash: 
http://diablo.incgamers.com/forums/showthread.php?t=774590).

Actually, after that I just tried to bookmark some random pages, and Rekonq 
was crashing every time, even if there was no editing of the bookmark name 
involved. 

Also, since yesterday's system update Rekonq seems to be fine, I'll test it 
some more though... Hope it was some fluke bug ^_^
Comment 4 Yoann Laissus 2010-12-20 21:02:26 UTC
*** Bug 260808 has been marked as a duplicate of this bug. ***
Comment 5 Yoann Laissus 2011-01-01 17:55:53 UTC
*** Bug 261756 has been marked as a duplicate of this bug. ***
Comment 6 Yoann Laissus 2011-01-11 09:24:50 UTC
*** Bug 262717 has been marked as a duplicate of this bug. ***
Comment 7 Andrea Diamantini 2011-01-21 00:47:42 UTC
This HAS to be fixed BEFORE next release. Targetting 0.7...
Comment 8 j.artu 2011-01-21 11:31:19 UTC
Created attachment 56278 [details]
New crash information added by DrKonqi

rekonq (0.6.60) on KDE Platform 4.5.95 (4.6 RC2) using Qt 4.7.1

- What I was doing when the application crashed:
Saved a bookmark with urlbar's bookmark icon (no edit).

-- Backtrace (Reduced):
#6  0x00007fd5dfa7df5e in QWebView::page() const () from /usr/lib/libQtWebKit.so.4
#7  0x00007fd5d9c91369 in WebView::page() () from /usr/lib/libkdeinit4_rekonq.so
#8  0x00007fd5d9c94dc4 in WebTab::url() () from /usr/lib/libkdeinit4_rekonq.so
#9  0x00007fd5d9cbbfc8 in UrlBar::loadFinished() () from /usr/lib/libkdeinit4_rekonq.so
#10 0x00007fd5d9cbc69c in UrlBar::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libkdeinit4_rekonq.so
Comment 9 Philipp A. 2011-01-22 13:42:15 UTC
Created attachment 56316 [details]
New crash information added by DrKonqi

rekonq (0.6.50) on KDE Platform 4.5.1 (KDE 4.5.1) using Qt 4.7.0

for me it happens every time i add a bookmark, but only after i tried to edit the bookmark name the first time.

the bookmark gets added and the tabs saved, though.

-- Backtrace (Reduced):
#7  0x00007f2809768be4 in WebTab::url() () from /usr/lib/libkdeinit4_rekonq.so
#8  0x00007f280979638c in UrlBar::loadFinished() () from /usr/lib/libkdeinit4_rekonq.so
#9  0x00007f280979688c in UrlBar::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libkdeinit4_rekonq.so
[...]
#11 0x00007f2812a0817a in KBookmarkManager::changed (this=0x7fff744d4110, _t1=<value optimized out>, _t2=<value optimized out>) at ./kbookmarkmanager.moc:136
#12 0x00007f2812a0b594 in KBookmarkManager::notifyChanged (this=0xf3f610, groupAddress=..., msg=<value optimized out>) at ../../kio/bookmarks/kbookmarkmanager.cc:583
Comment 10 Panagiotis Papadopoulos 2011-01-29 14:38:06 UTC
*** Bug 263767 has been marked as a duplicate of this bug. ***
Comment 11 Yoann Laissus 2011-02-08 20:06:15 UTC
*** Bug 265244 has been marked as a duplicate of this bug. ***
Comment 12 Pétur Runólfsson 2011-02-13 09:43:17 UTC
Created attachment 57202 [details]
New crash information added by DrKonqi

rekonq (0.6.80) on KDE Platform 4.6.00 (4.6.0) using Qt 4.7.1

Rekonq crashed when I was adding a bookmark. I have added several bookmarks before, this is the first time it has crashed. I did not edit the bookmark.

-- Backtrace (Reduced):
#6  0x00007f1185230d0e in QWebView::page() const () from /usr/lib/libQtWebKit.so.4
#7  0x00007f1186695589 in WebView::page (this=<value optimized out>) at /build/buildd/rekonq-0.6.80/src/webview.cpp:148
#8  0x00007f1186699055 in page (this=0x297ae50) at /build/buildd/rekonq-0.6.80/src/webtab.h:63
#9  WebTab::url (this=0x297ae50) at /build/buildd/rekonq-0.6.80/src/webtab.cpp:102
#10 0x00007f11866c049d in UrlBar::loadFinished (this=0x3726880) at /build/buildd/rekonq-0.6.80/src/urlbar/urlbar.cpp:310
Comment 13 Yoann Laissus 2011-02-20 13:09:39 UTC
*** Bug 266296 has been marked as a duplicate of this bug. ***
Comment 14 Andrea Diamantini 2011-02-23 00:34:39 UTC
Git commit 1f3b6569ae2297db11cef6ce1a8c2efb8f4e5007 by Andrea Diamantini.
Committed on 23/02/2011 at 00:34.
Pushed by adjam into branch 'master'.

Save one updateRightIcons call from the bookmark icon.

Does this helps here?

CCBUG:259328

M  +2    -0    src/urlbar/bookmarkwidget.cpp     
M  +4    -1    src/urlbar/bookmarkwidget.h     
M  +5    -3    src/urlbar/urlbar.cpp     

http://commits.kde.org/rekonq/1f3b6569ae2297db11cef6ce1a8c2efb8f4e5007
Comment 15 Andrea Diamantini 2011-02-25 01:04:53 UTC
*** Bug 255103 has been marked as a duplicate of this bug. ***
Comment 16 Andrea Diamantini 2011-02-25 01:21:51 UTC
*** Bug 266069 has been marked as a duplicate of this bug. ***
Comment 17 Andrea Diamantini 2011-02-25 01:24:36 UTC
*** Bug 267030 has been marked as a duplicate of this bug. ***
Comment 18 Andrea Diamantini 2011-02-28 22:26:46 UTC
FIXED IN: 0.6.85
Comment 19 Panagiotis Papadopoulos 2011-02-28 22:57:32 UTC
i can confirm that adding bookmarks does not crash rekonq anymore.

Thanks!
Comment 20 Andrea Diamantini 2012-04-11 23:49:04 UTC
*** Bug 297802 has been marked as a duplicate of this bug. ***